import axios from "axios";

const state = {
    grupos_de_compra: null,
};

const mutations = {
    setGruposDeCompra(state, { grupos_de_compra }) {
        state.grupos_de_compra = grupos_de_compra;
    },
};

const actions = {
    async getGruposDeCompra({ commit }) {
        const response = await axios.get('/api/grupos-de-compra');
        commit('setGruposDeCompra', response.data);
    },
};

const getters = {};

export default {
    namespaced: true,
    state,
    mutations,
    actions,
    getters,
};
